org.springframework.data.relational.core.query

## Class Update

- java.lang.Object
- - org.springframework.data.relational.core.query.Update

    public class Update
    extends Object

Class to easily construct SQL update assignments.

Since:
  2.0
Author:
  Mark Paluch, Oliver Drotbohm

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Update` `from(Map<SqlIdentifier,Object> assignments)` Static factory method to create an `Update` from `assignments`.
`Map<SqlIdentifier,Object>` `getAssignments()` Returns all assignments.
`Update` `set(SqlIdentifier column, Object value)` Update a column by assigning a value.
`Update` `set(String column, Object value)` Update a column by assigning a value.
`String` `toString()`
`static Update` `update(String column, Object value)` Static factory method to create an `Update` using the provided column.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### from

    public static Update from(Map<SqlIdentifier,Object> assignments)

Static factory method to create an `Update` from `assignments`.

Parameters:
  `assignments` - must not be null.
Returns:

#### update

    public static Update update(String column,
                                @Nullable
                                Object value)

Static factory method to create an `Update` using the provided column.

Parameters:
  `column` - must not be null.
  `value` - can be null.
Returns:

#### set

    public Update set(String column,
                      @Nullable
                      Object value)

Update a column by assigning a value.

Parameters:
  `column` - must not be null.
  `value` - can be null.
Returns:

#### set

    public Update set(SqlIdentifier column,
                      @Nullable
                      Object value)

Update a column by assigning a value.

Parameters:
  `column` - must not be null.
  `value` - can be null.
Returns:
Since:
  1.1

#### getAssignments

    public Map<SqlIdentifier,Object> getAssignments()

Returns all assignments.

Returns:

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`